Name:		dupeclean-gui
Version:	0.7
Release:	%mkrel 1

Summary:	GUI for the dupeclean utility
Summary(de):	GUI für das dupeclean Anwendung
URL:		http://pclinuxos.com
Source:		http://pclinuxos.com/%{name}-%{version}.tar.xz
Group:		System/Base
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	LGPLv2+
Requires:   yad
Requires:   dupeclean
BuildArch:	noarch

%description
A graphical interface to dupeclean, the utility for
cleaning duplicate RPMs from your system.

PCLinuxOS community development 

#german
%description -l de
Eine grafische Schnittstelle zu dupeclean, die Anwendung
zum reinigen von doppelten Einträge in RPM's Paketesystem.

PCLinuxOS Community-Entwicklung

%prep
%setup -q

%build
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de_DE.po


%clean
rm -rf %{buildroot}

%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root)
%{_bindir}/dupeclean-gui
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dupeclean
%{_datadir}/polkit-1/actions/org.pclinuxos.dupeclean-gui.policy
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/icons/hicolor/48x48/apps/dupeclean.png

%changelog
* Sun Oct 03 2020 Ken <lxgator at gmail.com> 0.7-1pclos2021
- Update

* Sat Jul 04 2020 Ken <lxgator at gmail.com> 0.6-1pclos2020
- Update

